com.google.gwt.uibinder.elementparsers

## Class DomElementParser

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.DomElementParser

All Implemented Interfaces:
  ElementParser

    public class DomElementParser
    extends java.lang.Object
    implements ElementParser

Parses a dom element and all of its children. Note that this parser does not make recursive calls to parse child elements, unlike what goes on with widget parsers. Instead, we consume the inner html of the given element into a single string literal, used to instantiate the dom tree at run time.

### Constructor Summary

Constructors
Constructor and Description
`DomElementParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `parse(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Parse the given element, generating the code to initialize it from the element's attributes and children.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DomElementParser

    public DomElementParser()

### Method Detail

#### parse

    public void parse(com.google.gwt.uibinder.rebind.XMLElement elem,
                      java.lang.String fieldName,
                      JClassType type,
                      com.google.gwt.uibinder.rebind.UiBinderWriter writer)
               throws UnableToCompleteException

Description copied from interface: `ElementParser`
Parse the given element, generating the code to initialize it from the element's attributes and children.

Specified by:
  `parse` in interface `ElementParser`
Parameters:
  `elem` - the element to be parsed
  `fieldName` - the name of the widget field to be initialized
  `type` - TODO
  `writer` - the writer
Throws:
  `UnableToCompleteException` - on error